<template>
	<div class="flex items-center">
		<el-input-number
			placeholder="最小值"
			:style="{
				width: inputWidth,
			}"
			class="rounded-full"
			v-model="yRange.min"
			@input="(val) => numInput(val, 'min')"
			:controls="false"
		></el-input-number>
		<span class="bg-[#cdcdcd] h-[32px] inline-block flex-center">~</span>
		<el-input-number
			placeholder="最大值"
			:style="{
				width: inputWidth,
			}"
			class="round"
			v-model="yRange.max"
			:controls="false"
			@input="(val) => numInput(val, 'max')"
		></el-input-number>
	</div>
</template>

<script setup lang="ts">
import { watch, type PropType, ref } from 'vue';

const emit = defineEmits(['input']);

const yRange = ref({
	min: null,
	max: null,
});

const realYRange = ref({
    min:null,
    max:null
})
const inputWidth = '82px';

const numInput = (val: any, type: 'min' | 'max') => {
    realYRange.value[type] = val;
	emit('input', realYRange.value);
};
</script>
<style scoped lang="scss"></style>
